Patches for aports can be sent to this list

1

[alpine-aports] [PATCH] testing/py-usb: New aport

Marian Buschsieweke
Details
Message ID
<20180508221544.10924-1-marian.buschsieweke@ovgu.de>
Sender timestamp
1525817744
DKIM signature
missing
Download raw message
Patch: +44 -0
PyUSB offers easy USB devices communication in Python
https://pypi.python.org/pypi/pyusb
---
 testing/py-usb/APKBUILD | 44 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 testing/py-usb/APKBUILD

diff --git a/testing/py-usb/APKBUILD b/testing/py-usb/APKBUILD
new file mode 100644
index 0000000000..16dfaa47fc
--- /dev/null
+++ b/testing/py-usb/APKBUILD
@@ -0,0 +1,44 @@
+# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
+pkgname=py-usb
+_pkgname=pyusb
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="PyUSB offers easy USB devices communication in Python"
+url="https://pypi.python.org/pypi/pyusb"
+arch="noarch"
+license="BSD"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+sha512sums="218d118c8572ed548d2317725a9717c0a442eb67c05148ccd90505a407bd8821a1519f511abc14f96b8e09d914f5a35f57cfabd57c47cb9b3fcd8b61947375a2  pyusb-1.0.2.tar.gz"
-- 
2.17.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<CAGG_d8AyW3-Knc_WNLR+2reJYu5nSGUb_s6s6zZSnJU+4dXt2Q@mail.gmail.com>
In-Reply-To
<20180508221544.10924-1-marian.buschsieweke@ovgu.de> (view parent)
Sender timestamp
1531835580
DKIM signature
missing
Download raw message
Hi,

check() not enabled or disabled (with comments why).

Thanks!

On Wed, May 9, 2018 at 12:15 AM, Marian Buschsieweke <
marian.buschsieweke@ovgu.de> wrote:

> PyUSB offers easy USB devices communication in Python
> https://pypi.python.org/pypi/pyusb
> ---
>  testing/py-usb/APKBUILD | 44 +++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 44 insertions(+)
>  create mode 100644 testing/py-usb/APKBUILD
>
> diff --git a/testing/py-usb/APKBUILD b/testing/py-usb/APKBUILD
> new file mode 100644
> index 0000000000..16dfaa47fc
> --- /dev/null
> +++ b/testing/py-usb/APKBUILD
> @@ -0,0 +1,44 @@
> +# Maintainer: Marian Buschsieweke <marian.buschsieweke@ovgu.de>
> +pkgname=py-usb
> +_pkgname=pyusb
> +pkgver=1.0.2
> +pkgrel=0
> +pkgdesc="PyUSB offers easy USB devices communication in Python"
> +url="https://pypi.python.org/pypi/pyusb"
> +arch="noarch"
> +license="BSD"
> +makedepends="python2-dev python3-dev py-setuptools"
> +subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
> +source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_
> pkgname/$_pkgname-$pkgver.tar.gz"
> +builddir="$srcdir"/$_pkgname-$pkgver
> +
> +build() {
> +       cd "$builddir"
> +       python2 setup.py build || return 1
> +       python3 setup.py build || return 1
> +}
> +
> +package() {
> +       mkdir -p "$pkgdir"
> +}
> +
> +_py2() {
> +       replaces="$pkgname"
> +       _py python2
> +}
> +
> +_py3() {
> +       _py python3
> +}
> +
> +_py() {
> +       local python="$1"
> +       pkgdesc="$pkgdesc (for $python)"
> +       depends="$depends $python"
> +       install_if="$pkgname=$pkgver-r$pkgrel $python"
> +
> +       cd "$builddir"
> +       $python setup.py install --prefix=/usr --root="$subpkgdir"
> +}
> +
> +sha512sums="218d118c8572ed548d2317725a9717c0a442eb67c05148ccd90505a407bd
> 8821a1519f511abc14f96b8e09d914f5a35f57cfabd57c47cb9b3fcd8b61947375a2
> pyusb-1.0.2.tar.gz"
> --
> 2.17.0
>
>
>
> ---
> Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
> Help:         alpine-aports+help@lists.alpinelinux.org
> ---
>
>